Subject: Package Lint
From: "Michael A Chase" <[email-masked]>
To: "Robert Collins" <[email-masked]>, "Charles Wilson" <[email-masked]>, "Joshua Franklin" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 17 Jan 2002 21:16:29 -0800

I have been away for a while and would be interested in working on a package
lint as a way of getting back in the loop.  What would you like it to check
first?

My first thought would be to make it a Perl script.

Likely features:
1. No /usr/info/dir allowed.
2. Syntax check setup.hints.

--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.
----- Original Message -----
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>; "Joshua Franklin"
<[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, January 17, 2002 20:44
Subject: Re: "RTFM'ing": readily accessible user documentation?

> ----- Original Message -----
> From: "Charles Wilson" <[email-masked]>
> > Should setup.exe *refuse* to install a file called "/usr/info/dir" --
> > just to keep us safe?  Or is that setting a bad precedent?  [Or maybe
> > upset can "lint" the packages on sourceware, and refuse to add
> > foo-1.2.tar.gz to setup.ini if it contains a proscribed file like
> > /usr/info/dir]
>
> On my personal TODO list is a command line unix package linter.
> Setup.exe may some mechanism to manage state data - /etc/foo.cfg,
> /usr/info/dir etc, but I think a simpl solution to catch 99% of cases is
> the package linter. And yes, it should refuse to add the package, and
> email the maintainer (IMO).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/